Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.io.reader
Class MapReader

    java.lang.Object
      baseCode.io.reader.MapReader

public class MapReader
extends java.lang.Object

Reads a tab-delimited file with lines of the format Key Value. If there are multiple values, then a Set is created for each key containing its values.

Copyright (c) 2004

Institution: Columbia University

Version:
  $Id: MapReader.java,v 1.2 2004/07/27 03:18:58 pavlidis Exp $
Author:
  Paul Pavlidis

Constructor Summary
`MapReader()`

Method Summary
`java.util.Map` | `read(java.io.InputStream stream)`
`java.util.Map` | `read(java.io.InputStream stream, boolean hasHeader)`
`java.util.Map` | `read(java.lang.String filename)`
`java.util.Map` | `read(java.lang.String filename, boolean hasHeader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapReader

    public MapReader()

Method Detail

### read

    public java.util.Map read(java.lang.String filename)
                       throws java.io.IOException

  Parameters:
    `filename` - String
  Returns:
    Map
  Throws:
    `java.io.IOException`

### read

    public java.util.Map read(java.io.InputStream stream)
                       throws java.io.IOException

  Parameters:
    `stream` - InputStream
  Returns:
    @throws IOException
  Throws:
    `java.io.IOException`

### read

    public java.util.Map read(java.lang.String filename,
                              boolean hasHeader)
                       throws java.io.IOException

  Parameters:
    `filename` - name of the tab-delimited file
    `hasHeader` - boolean
  Returns:
    Map from the file.
  Throws:
    `java.io.IOException`

### read

    public java.util.Map read(java.io.InputStream stream,
                              boolean hasHeader)
                       throws java.io.IOException

  Parameters:
    `stream` - InputStream
    `hasHeader` - boolean
  Returns:
    @throws IOException
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.